summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-02-20 13:50:17 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-02-22 11:43:37 +0000
commitf42643fadb4fd1b4112b49719bb3fa7107f52838 (patch)
tree8376d65a471969d21808bbc376127cd854a59c49
parentb553f7818103b3fb2c774020db885b20b584276f (diff)
Trivial cleanups
The "last-good" result is, in reality, just "good". We no longer kernel.release file (to troubleshoot ccache issues). Remove "if true". Change-Id: If64798625e693c9abfaf085f6e5b23f77eadf73f
-rw-r--r--round-robin.sh2
-rwxr-xr-xtcwg_kernel-build.sh25
2 files changed, 12 insertions, 15 deletions
diff --git a/round-robin.sh b/round-robin.sh
index 1512ca0e..24b2d4e2 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -416,7 +416,7 @@ update_baseline ()
touch base-artifacts/reset-baseline
msg_title="$msg_title: first-bad"
else
- msg_title="$msg_title: last-good"
+ msg_title="$msg_title: good"
fi
local single_component
diff --git a/tcwg_kernel-build.sh b/tcwg_kernel-build.sh
index a5737837..7cdb9d4f 100755
--- a/tcwg_kernel-build.sh
+++ b/tcwg_kernel-build.sh
@@ -140,7 +140,6 @@ EOF
KBUILD_BUILD_TIMESTAMP=0 make $opts -j$(nproc --all) -s -k &
local res=0 && wait $! || res=$?
ccache -s
- cp include/config/kernel.release $run_step_artifacts/
return $res
)
}
@@ -151,19 +150,17 @@ count_linux_objs ()
(
set -euf -o pipefail
- if true; then
- build_linux &
- local res=0; wait $! || res=$?
-
- # Number of .o files created is the main success metric.
- echo "linux_n_obj:" >> ${rr[top_artifacts]}/results
- if [ $res != 0 ]; then
- local linux_n_obj
- linux_n_obj=$(find linux -name "*.o" | wc -l)
- echo "$linux_n_obj" >> ${rr[top_artifacts]}/results
- else
- echo "all" >> ${rr[top_artifacts]}/results
- fi
+ build_linux &
+ local res=0; wait $! || res=$?
+
+ # Number of .o files created is the main success metric.
+ echo "linux_n_obj:" >> ${rr[top_artifacts]}/results
+ if [ $res != 0 ]; then
+ local linux_n_obj
+ linux_n_obj=$(find linux -name "*.o" | wc -l)
+ echo "$linux_n_obj" >> ${rr[top_artifacts]}/results
+ else
+ echo "all" >> ${rr[top_artifacts]}/results
fi
)
}